UI::Util::RealPath< M > Class Template Reference

Get canonical absolute path name (mutex-protected) More...

`#include <Misc.hpp>`

Collaboration diagram for UI::Util::RealPath< M >:

## Public Member Functions

std::string | get (std::string const &path)
| Get canonical path, mutex-protected.

## Detailed Description

template<typename M>
class UI::Util::RealPath< M >

Get canonical absolute path name (mutex-protected)

You should create one instance of this for one multi-threaded environment, and then call the object's get() method. Purpose is to be faster than realpath() by not having to create a buffer of MAX_PATH each time we call. Tests however suprisingly show it's even somewhat slower.

Parameters

  path | Path to canonize.

Attention
  Do not use more than one object in a multi-threaded environment.

See also
  UI::Util::realpath().

The documentation for this class was generated from the following file:

- Misc.hpp